<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
Input Values
    -predioZonas: Lista de objetos de tipo PPredioZonas a consultar
    -predio: PPredio del cual se toma el valor del área total 
    -rendered: Indica si se muestra o no la tabla
    -title: Título de la tabla
-->
<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui">

    <p:dataTable var="zona" value="#{predioZonas}" rendered="#{rendered}">

        <f:facet name="header">
            <h:outputText value="#{title}" />
        </f:facet>

        <p:column style="width: 30;">
            <f:facet name="header">Zona<br />física</f:facet>
            <p:commandLink styleClass="commandLinkStyle">
                <h:outputText value="#{zona.zonaFisica}"
                              styleClass="outputTextStyle" />
            </p:commandLink>
        </p:column>

        <p:column>
            <f:facet name="header">Zona<br />geoeconómica</f:facet>
            <p:commandLink styleClass="commandLinkStyle">
                <h:outputText value="#{zona.zonaGeoeconomica}"
                              styleClass="outputTextStyle" />
            </p:commandLink>
        </p:column>

        <p:column>
            <f:facet name="header">Área<br />terreno</f:facet>
            <h:outputText value="#{zona.area}" styleClass="outputTextStyle">
                <f:convertNumber type="number" />
            </h:outputText>
        </p:column>

        <p:column>
            <f:facet name="header">Vr. m2<br />terreno</f:facet>
            <h:outputText value="#{zona.valorM2Terreno}"
                          styleClass="outputTextStyle">
                <f:convertNumber type="number" />
            </h:outputText>
        </p:column>

        <p:column>
            <f:facet name="header">Avalúo<br />unidad terreno</f:facet>
            <h:outputText value="#{zona.avaluo}" styleClass="outputTextStyle">
                <f:convertNumber type="number" />
            </h:outputText>
        </p:column>

    </p:dataTable>

    <h:panelGrid columns="2">
        <h:outputLabel value="Área total terreno: "/>
        <h:outputText value="#{predio.areaTotalTerreno}"/>
    </h:panelGrid>

</h:panelGrid>